Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTimeLine.Direction

    java.lang.Object
      java.lang.Enum<QTimeLine.Direction>
          com.trolltech.qt.core.QTimeLine.Direction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTimeLine.Direction>

Enclosing class:
  QTimeLine

    public static enum QTimeLine.Direction

extends java.lang.Enum<QTimeLine.Direction>
implements QtEnumerator

This enum describes the direction of the timeline when in Running state.

See Also:
  `setDirection`

Enum Constant Summary
`Backward` The current time of the timeline decreases with time (i.e., moves from the end / duration and towards 0).
`Forward` The current time of the timeline increases with time (i.e., moves from 0 and towards the end / duration).

Method Summary
`static QTimeLine.Direction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTimeLine.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTimeLine.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Forward

    public static final QTimeLine.Direction Forward

  The current time of the timeline increases with time (i.e., moves from 0 and towards the end / duration).

### Backward

    public static final QTimeLine.Direction Backward

  The current time of the timeline decreases with time (i.e., moves from the end / duration and towards 0).

Method Detail

### values

    public static final QTimeLine.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTimeLine.Direction c : QTimeLine.Direction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTimeLine.Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTimeLine.Direction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD